#pragma once

#include <optional>

#include "features/player/PlayerTypes.h"

namespace ta::features::player
{
    class IPlayerGateway
    {
    public:
        virtual ~IPlayerGateway() = default;
        virtual void game_tick(const PlayerSettings& settings,
                               std::optional<PlayerCommand> command) = 0;
    };
}
